Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplRepoC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "portableserver_export.h"`
`#include "tao/Exception.h"`
`#include "tao/Object.h"`
`#include "tao/Sequence.h"`
`#include "tao/Remote_Object_Proxy_Impl.h"`
`#include "ace/post.h"`

Include dependency graph for ImplRepoC.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___PTR_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___OUT_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CH_
#define | _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CH_
#define | _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST___OUT_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST___OUT_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___PTR_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___OUT_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___PTR_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___OUT_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_ALREADYREGISTERED_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_CANNOTACTIVATE_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_NOTFOUND_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR_CH_
## Functions
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::ServerObject_ptr)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::ServerObject_ptr *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::ServerObject_ptr &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const ImplementationRepository::EnvironmentVariable &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::EnvironmentVariable *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::EnvironmentVariable *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const ImplementationRepository::EnvironmentVariable *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const ImplementationRepository::EnvironmentList &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::EnvironmentList *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::EnvironmentList *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const ImplementationRepository::EnvironmentList *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::ActivationMode)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::ActivationMode &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const ImplementationRepository::StartupOptions &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::StartupOptions *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::StartupOptions *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const ImplementationRepository::StartupOptions *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const ImplementationRepository::ServerInformation &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::ServerInformation *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::ServerInformation *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const ImplementationRepository::ServerInformation *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const ImplementationRepository::ServerInformationList &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::ServerInformationList *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::ServerInformationList *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const ImplementationRepository::ServerInformationList *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::Administration_ptr)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::Administration_ptr *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::Administration_ptr &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const ImplementationRepository::Administration::AlreadyRegistered &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::Administration::AlreadyRegistered *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::Administration::AlreadyRegistered *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const ImplementationRepository::Administration::AlreadyRegistered *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const ImplementationRepository::Administration::CannotActivate &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::Administration::CannotActivate *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::Administration::CannotActivate *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const ImplementationRepository::Administration::CannotActivate *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const ImplementationRepository::Administration::NotFound &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::Administration::NotFound *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::Administration::NotFound *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const ImplementationRepository::Administration::NotFound *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::ServerInformationIterator_ptr)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::ServerInformationIterator_ptr *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::ServerInformationIterator_ptr &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::ServerObject_ptr)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::ServerObject_ptr &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::EnvironmentVariable &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::EnvironmentVariable &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::EnvironmentList &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::EnvironmentList &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::ActivationMode &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::ActivationMode &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::StartupOptions &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::StartupOptions &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::ServerInformation &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::ServerInformation &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::ServerInformationList &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::ServerInformationList &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::Administration_ptr)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Administration_ptr &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::Administration::AlreadyRegistered &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Administration::AlreadyRegistered &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::Administration::CannotActivate &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Administration::CannotActivate &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::Administration::NotFound &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Administration::NotFound &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::ServerInformationIterator_ptr)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::ServerInformationIterator_ptr &)
## Variables
TAO_PortableServer_Export ImplementationRepository::_TAO_Administration_Proxy_Broker *(* | ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)
TAO_PortableServer_Export ImplementationRepository::_TAO_ServerInformationIterator_Proxy_Broker *(* | ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CH_

#define __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___PTR_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___VAR_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_ALREADYREGISTERED_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_CANNOTACTIVATE_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_NOTFOUND_CH_

#define _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST___VAR_CH_

#define _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___PTR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___VAR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST___VAR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___PTR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___VAR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Function Documentation

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ServerInformationIterator_ptr | _tao_objref
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Administration::NotFound & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Administration::CannotActivate & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Administration::AlreadyRegistered & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Administration_ptr | _tao_objref
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ServerInformationList & | _tao_sequence
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ServerInformation & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::StartupOptions & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ActivationMode & | _tao_enumval
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::EnvironmentList & | _tao_sequence
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::EnvironmentVariable & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ServerObject_ptr | _tao_objref
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformationIterator_ptr * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformationIterator_ptr | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration::NotFound * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::Administration::NotFound & | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration::CannotActivate * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::Administration::CannotActivate & | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration::AlreadyRegistered * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::Administration::AlreadyRegistered & | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration_ptr * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration_ptr | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformationList * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::ServerInformationList & | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformation * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::ServerInformation & | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::StartupOptions * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::StartupOptions & | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ActivationMode | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::EnvironmentList * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::EnvironmentList & | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::EnvironmentVariable * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::EnvironmentVariable & | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerObject_ptr * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | ImplementationRepository::ServerObject_ptr |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerInformationIterator_ptr & | _tao_objref
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | ImplementationRepository::Administration::NotFound & |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::Administration::CannotActivate & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | ImplementationRepository::Administration::AlreadyRegistered & |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::Administration_ptr & | _tao_objref
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerInformationList & | _tao_sequence
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerInformation & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::StartupOptions & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ActivationMode & | _tao_enumval
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::EnvironmentList & | _tao_sequence
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::EnvironmentVariable & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerObject_ptr & | _tao_objref
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformationIterator_ptr & | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::Administration::NotFound *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration::NotFound *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::Administration::CannotActivate *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration::CannotActivate *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::Administration::AlreadyRegistered *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration::AlreadyRegistered *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::Administration_ptr & | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::ServerInformationList *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformationList *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::ServerInformation *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerInformation *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::StartupOptions *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::StartupOptions *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::ActivationMode & | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::EnvironmentList *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::EnvironmentList *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::EnvironmentVariable *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::EnvironmentVariable *& | _tao_elem
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::ServerObject_ptr & | _tao_elem
| ) |

## Variable Documentation

TAO_PortableServer_Export ImplementationRepository::_TAO_Administration_Proxy_Broker*(* ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj )

TAO_PortableServer_Export ImplementationRepository::_TAO_ServerInformationIterator_Proxy_Broker*(* ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj )